/***********************************************************************
 *
 * Copyright (C) 2005 by FS Forth-Systeme GmbH
 * All rights reserved.
 *
 * $Id: ccw9c.c,v 1.2 2006-08-09 10:36:27 uzeisberger Exp $
 * @Author: Jonas Dietsche
 * @References: [1] NS9360 Hardware Reference
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 *
 ***********************************************************************/
/***********************************************************************
 *  @History:
 *     2005/11/29 : moved to kernel 2.6.14
 *     2005/09/12 : initial version
 ***********************************************************************/
#include "ns9360.h"	/*include the CPU specific stuff */

static struct resource digi_wi_g_resources[] = {
	[0] = {
		.name	= "digi_wi_g-reg",
		.start	= NS9XX0_CS2_PHYS,
		.end	= NS9XX0_CS2_PHYS + 0xe0000/*100*/,
		.flags	= IORESOURCE_MEM,
	},
	[1] = {
		.name	= "digi_wi_g-prog",
		.start	= NS9XX0_CS3_PHYS,
		.end	= NS9XX0_CS3_PHYS + 0xe0000/*4*/,
		.flags	= IORESOURCE_MEM,
	},
	[2] = {
		.start	= 65,
		.end	= 65,
		.flags	= IORESOURCE_IRQ,
	},
};

static struct platform_device digi_wi_g_device = {
	.name		= "digi_wi_g",
	.id		= -1,
	.num_resources	= ARRAY_SIZE(digi_wi_g_resources),
	.resource	= digi_wi_g_resources,
};

static struct platform_device *devices[] __initdata = {
	&digi_wi_g_device,
};

void __init ns_init( void )
{
	int i = 0;

	spin_lock_init( &ns_gpio_lock );

	while( resources[ i ].name != NULL ) {
		request_resource( &iomem_resource, &resources[ i++ ] );
	}
	platform_add_devices(usb_devices, 1);

	(void) platform_add_devices(devices, ARRAY_SIZE(devices));
}


/* look in debug.S when adjusting BOOT_MEM */
MACHINE_START(CCW9C, "CCW9C")
	/* Maintainer: Jonas Dietsche <jonas_dietsche@digi.com> */
	.phys_io		= 0x90000000,
	.io_pg_offst	= ((0xf9000000) >> 18) & 0xfffc,
	.boot_params	= 0x00000100,
	.map_io		= ns_map_io,
	.init_irq	= ns_init_irq,
	.timer 		= &ns_timer,
	.init_machine	= ns_init,
MACHINE_END
