/*
 *  linux/drivers/spi/spi-core.h
 *
 *  Copyright (C) 2005 MontaVista Software, Inc <sources@mvista.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 */
#ifndef __SPI_CORE_H
#define __SPI_CORE_H

struct spi_msg {
	u32  flags;
	u16 len;	/* msg length           */
	u32 clock;
	struct spi_device *device;
	void *context;

	struct completion sync;

	struct spi_msg *next;

	struct list_head link;

	void (*status) (struct spi_msg * msg, int code);

	void *buf_ptr;
};

#endif /* __SPI_CORE_H */
