/*
 *  linux/drivers/spi/spi-thread.h
 *
 *  Copyright (C) 2005 MontaVista Software, Inc <sources@mvista.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License.
 *
 */
#ifndef __SPI_THREAD_H
#define __SPI_THREAD_H


static inline void *spi_start_async (struct device *dev)
{
#ifdef CONFIG_SPI_THREAD
	extern void *__spi_start_async (struct device *dev);
	return  __spi_start_async(dev);
#else
	return 0;
#endif
}

static inline void spi_stop_async (struct device *dev, void *t)
{
#ifdef CONFIG_SPI_THREAD
	extern void __spi_stop_async (struct device *dev, void *t);
	__spi_stop_async (dev, t);
#endif
}

static inline int spi_queue (struct spi_msg *msg)
{
#ifdef CONFIG_SPI_THREAD
	extern int __spi_queue (struct spi_msg *msg);
	return __spi_queue(msg);
#else
	return -EINVAL;
#endif
}
#endif /* __SPI_THREAD_H */
