/*
 * include/asm-arm/arch-ns9xxx/lcd_lib/lq057q3dc12i.h
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */

#ifndef __NS9XXX_LCDLIB_LQ057Q3DC12I_H
#define __NS9XXX_LCDLIB_LQ057Q3DC12I_H

#include <asm/arch/regs-lcd.h>
#include <asm/arch/hardware.h>


#define	DISP_NAME		"LQ057Q3DC12I TFT LCD"
#define	DISP_XSIZE		(320)
#define	DISP_YSIZE		(240)

#define	DISP_CLK		7000000 /* Display clock frequency in HZ or DISP_USE_EXT_CLK */

#define DISP_TIMING0		(LCD_TIMING_0_HBP( 8 ) | \
				 LCD_TIMING_0_HFP( 39 ) | \
				 LCD_TIMING_0_HSW( 2 ) | \
				 LCD_TIMING_0_PPL( (DISP_XSIZE/16)-1 ))

#define DISP_TIMING1		(LCD_TIMING_1_VBP( 6 ) | \
				 LCD_TIMING_1_VFP( 5 ) | \
				 LCD_TIMING_1_VSW( 0 ) | \
				 LCD_TIMING_1_LPP( DISP_YSIZE-1))

#define DISP_TIMING2		(LCD_TIMING_2_CPL( DISP_XSIZE-1 ) | \
				 LCD_TIMING_2_IHS | \
				 LCD_TIMING_2_IVS)

#define DISP_TIMING3		(0x0)

#define DISP_CONTROL		(LCD_CONTROL_WATERMARK | \
				 LCD_CONTROL_PWR | \
				 LCD_CONTROL_TFT | \
				 LCD_CONTROL_BGR | \
				 LCD_CONTROL_BPP_16 | \
				 LCD_CONTROL_EN)

#if defined CONFIG_MACH_CC9P9360JS
#define DISP_BL_GPIO		18
#else
#define DISP_BL_GPIO		23
#endif

/*
 * Specific GPIO configuration for the selected display
 */
struct ns9xxxfb_gpio ns9xxxfb_gpios[] = {
	 { DISP_BL_GPIO, GPIO_CFG_OUTPUT },
	 { 19, GPIO_CFG_FUNC_1 },
	 { 20, GPIO_CFG_FUNC_1 },
	 { 21, GPIO_CFG_FUNC_1 },
	 { 22, GPIO_CFG_FUNC_1 },
	 { 24, GPIO_CFG_FUNC_1 },
	 { 25, GPIO_CFG_FUNC_1 },
	 { 26, GPIO_CFG_FUNC_1 },
	 { 27, GPIO_CFG_FUNC_1 },
	 { 28, GPIO_CFG_FUNC_1 },
	 { 29, GPIO_CFG_FUNC_1 },
	 { 30, GPIO_CFG_FUNC_1 },
	 { 31, GPIO_CFG_FUNC_1 },
	 { 32, GPIO_CFG_FUNC_2 },
	 { 33, GPIO_CFG_FUNC_2 },
	 { 34, GPIO_CFG_FUNC_2 },
	 { 35, GPIO_CFG_FUNC_2 },
	 { 36, GPIO_CFG_FUNC_2 },
	 { 37, GPIO_CFG_FUNC_2 },
	 { 38, GPIO_CFG_FUNC_2 },
	 { 39, GPIO_CFG_FUNC_2 },
	 { 40, GPIO_CFG_FUNC_2 },
	 { 41, GPIO_CFG_FUNC_2 }
};


/*
 * Customize following functions to enable/disable the lcd
 */
void ns9xxxfb_lcd_power_enable(void)
{
	(void)ns9xxx_gpio_setpin(DISP_BL_GPIO, 0);
}

void ns9xxxfb_lcd_power_disable(void)
{
	(void)ns9xxx_gpio_setpin(DISP_BL_GPIO, 1);
}

#endif /* __NS9XXX_LCDLIB_LQ057Q3DC12I_H */
