/*
 * include/asm-arm/arch-at91rm9200/uncompress.h
 *
 *  Copyright (C) 2003 SAN People
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ASM_ARCH_UNCOMPRESS_H
#define __ASM_ARCH_UNCOMPRESS_H

#include <asm/arch/hardware.h>
#include <asm/arch/at91rm9200_usart.h>
/*
 * The following code assumes the serial port has already been
 * initialized by the bootloader.  We search for the first enabled
 * port in the most probable order.  If you didn't setup a port in
 * your bootloader then nothing will appear (which might be desired).
 *
 * This does not append a newline
 */
static void putstr(const char *s)
{
	void __iomem *sys = (void __iomem *) 
#if defined(CONFIG_UNC90_CONSOLE_ON_DEBUG)
	AT91_BASE_SYS + AT91_DBGU;
#elif defined(CONFIG_UNC90_CONSOLE_ON_PORTA)
	AT91_BASE_US1;
#elif defined(CONFIG_UNC90_CONSOLE_ON_PORTC)
	AT91_BASE_US2;
#endif   

	while (*s) {
		while (!(__raw_readl(sys + AT91_US_CSR) & AT91_US_TXRDY)) { barrier(); }
		__raw_writel(*s, sys + AT91_US_THR);
		if (*s == '\n')	{
			while (!(__raw_readl(sys + AT91_US_CSR) & AT91_US_TXRDY)) { barrier(); }
			__raw_writel('\r', sys + AT91_US_THR);
		}
		s++;
	}
	/* wait for transmission to complete */
	while (!(__raw_readl(sys + AT91_US_CSR) & AT91_US_TXEMPTY)) { barrier(); }
}

#define arch_decomp_setup()

#define arch_decomp_wdog()

#endif /* __ASM_ARCH_UNCOMPRESS_H */
