/*
 *  linux/include/asm-arm/arch-ns9750/system.h
 *
 *  Copyright (C) 1999 ARM Limited
 *  Copyright (C) 2000 Deep Blue Solutions Ltd
 *
 * Copyright (C) 2004 by FS Forth-Systeme GmbH.
 * All rights reserved.
 * Markus Pietrek <mpietrek@fsforth.de>
 * @References: [1] NS9750 Hardware Reference/December 2003
 *              [2] derived from arch-integrator/system.h
 * @TODO: adjust
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#ifndef __ASM_ARCH_SYSTEM_H
#define __ASM_ARCH_SYSTEM_H

#include <asm/io.h>
#include <asm/arch/ns9750_sys.h> /* NS_SYS */

static inline void arch_idle(void)
{
	/*
	 * This should do all the clock switching
	 * and wait for interrupt tricks
	 */
	cpu_do_idle();
}

/***********************************************************************
 * @Function: arch_reset
 * @Return: may reset a little bit delayed
 * @Descr: will initiate a hw reset by rewriting PLL
 ***********************************************************************/

static inline void arch_reset( char mode )
{
	unsigned int reg;

	reg = readl( NS_SYS_PLL );
	reg >>= 16;
	reg |= NS_SYS_PLL_PLLSW;
	writel( reg, NS_SYS_PLL );

	/* hopefully we will not return */
}

#endif
