/*
 * linux/include/asm-arm/arch-ns9xxx/processor.h
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */
#ifndef __ASM_ARCH_PROCESSOR_H
#define __ASM_ARCH_PROCESSOR_H

#ifndef __ASSEMBLY__
/* The type of board we're running on */
extern unsigned int __processor_type;
#endif

#define PROCESSOR_NS9360	0
#define PROCESSOR_NS9750	1

#ifdef CONFIG_PROCESSOR_NS9360
# ifdef processor_type
#  undef processor_type
#  define processor_type	__processor_type
# else
#  define processor_type	PROCESSOR_NS9360
# endif
# define processor_is_ns9360()	(processor_type == PROCESSOR_NS9360)
#else
# define processor_is_ns9360()	(0)
#endif

#ifdef CONFIG_PROCESSOR_NS9750
# ifdef processor_type
#  undef processor_type
#  define processor_type	__processor_type
# else
#  define processor_type	PROCESSOR_NS9750
# endif
# define processor_is_ns9750()	(processor_type == PROCESSOR_NS9750)
#else
# define processor_is_ns9750()	(0)
#endif

#endif /* ifndef __ASM_ARCH_PROCESSOR_H */
