/*
 * linux/include/asm-arm/arch-ns9xxx/spi.h
 *
 * Copyright (C) 2006 by Digi International Inc.
 * All rights reserved.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 as published by
 * the Free Software Foundation.
 */

#ifndef __ASM_ARCH_SPI_H
#define __ASM_ARCH_SPI_H

/* Configuration from kernel graphic tool */
#if defined(CONFIG_SPI_NS9XXX_ENABLE_PORT_0)
# define	SPI_PORT_0	1 
#else
# define	SPI_PORT_0	0 
#endif
#if defined(CONFIG_SPI_NS9XXX_ENABLE_PORT_1)
# define	SPI_PORT_1	1 
#else
# define	SPI_PORT_1	0 
#endif
#if defined(CONFIG_SPI_NS9XXX_ENABLE_PORT_2)
# define	SPI_PORT_2	1 
#else
# define	SPI_PORT_2	0 
#endif
#if defined(CONFIG_SPI_NS9XXX_ENABLE_PORT_3)
# define	SPI_PORT_3	1 
#else
# define	SPI_PORT_3	0 
#endif


struct ns9xxx_spi_cfg {
	int		hwport;		/* hardware port used */
	unsigned int	use_dma;	/* do we use dma transfers? 0 -> no, 1 -> yes */
	unsigned int	use_gpio_for_cs;/* do we use a gpio for cs? 0 -> no, 1 -> yes */
	int		gpio_cs;	/* gpio used for spi cs */
	/* Use this hook in case you control CS through gpio... */
	void (*set_cs)(struct ns9xxx_spi_cfg *spi, int cs, int active, int pol);
};

#endif /* __ASM_ARCH_SPI_H */
