#/bin/bash

set -e
. ./common_config.sh 

URL="http://www.auto.tuwien.ac.at/~mkoegler/eib/"
VERSION="0.0.4"
PACKAGE="bcusdk"


SRC_FILE="${PACKAGE}_${VERSION}.tar.gz"
SRC_DIR="${PACKAGE}-${VERSION}"

DEPS="${STAGING_DIR}/lib/libpthsem.so ${STAGING_DIR}/lib/libargp.a"


CFLAGS="-I${DIGI_DIR}/include -I${STAGING_DIR}/include "
LDFLAGS="-L${DIGI_DIR}/lib -L${STAGING_DIR}/lib "
PKG_CONFIG_PATH="${STAGING_DIR}/lib/pkgconfig"


GENERAL_CONFIG_OPTIONS=" \
  --host=arm-linux \
  --target=arm-linux \
  --prefix=/ \
"
#            --with-pth=`pwd`/pthsem-2.0.7/ \

CUSTOM_CONFIG_OPTIONS=" \
 --with-pth=${STAGING_DIR} \
 --without-pth-test        \
 --enable-onlyeibd \
 --disable-xmltest \
 --enable-ft12   \
 --enable-pei16   \
 --disable-tpuart   \
 --enable-pei16s    \
 --disable-tpuarts   \
 --disable-eibnetip    \
 --enable-eibnetiptunnel \
 --disable-usb           \
 --disable-eibnetipserver  \
 --disable-groupcache \
 --disable-java \
"

# CHECK DEP!
for dep in ${DEPS}
do
  if [ ! -f ${dep} ]; then
    echo "Please build first ${dep}"
    exit
  fi
done



${DOWNLOAD_CMD} ${URL}${SRC_FILE}
echo "Uncompress..."
tar zxf ${SRC_FILE}

#echo "Change dir..."
cd ${SRC_DIR}

echo "PATCH"
#patch -p1 < ../patch/avahi_uclib.patch
#patch -p1 < ../patch/avahi-autoipd-perms.patch
#patch -p1 < ../patch/avahi_chroot_wocap.patch

echo "Configure...."

#intltoolize -c -f --automake
#autoreconf -f -i 
 PKG_CONFIG_PATH="${PKG_CONFIG_PATH}" LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}" CPPFLAGS="${CFLAGS}" \
 ./configure ${GENERAL_CONFIG_OPTIONS} ${CUSTOM_CONFIG_OPTIONS}
#
echo "Make........."
make || exit $?

install -d ${TARGET_DIR}
install -d ${STAGING_DIR}
make  DESTDIR=${STAGING_DIR}  install


mkdir -p  ${TARGET_DIR}/bin/
cp -dpf ${STAGING_DIR}/bin/eibd ${TARGET_DIR}/bin/
arm-linux-strip ${TARGET_DIR}/bin/eibd

#cp -dpf ${STAGING_DIR}/bin/busmonitor1 ${TARGET_DIR}/bin/
#arm-linux-strip ${TARGET_DIR}/bin/busmonitor1
#
#cp -dpf ${STAGING_DIR}/bin/busmonitor1 ${TARGET_DIR}/bin/
#arm-linux-strip ${TARGET_DIR}/bin/groupwrite

echo "========== installation finish ==========" 
