#/bin/bash

set -e

. ./common_config.sh

URL="http://0pointer.de/lennart/projects/libdaemon/"
FILE="libdaemon-0.12.tar.gz"
DIR="libdaemon-0.12"
  
GENERAL_CONFIG_OPTIONS="--host=arm-linux\
            --target=arm-linux\
            --prefix=${STAGING_DIR}/\
"

CUSTOM_CONFIG_OPTIONS="\
		--disable-lynx \
		--disable-shared \
"

${DOWNLOAD_CMD} ${URL}${FILE}
echo "Uncompress..."
tar zxf ${FILE}

echo "Change dir..."
cd ${DIR}

echo "PATCH"
patch -p1 < ../patch/libdaemon_libdir-la.patch
patch -p1 < ../patch/libdaemon_xcompile-setpgrp.patch

echo "Configure...."
#rm -rf config.{cache,status} && libtoolize --copy --force && autoreconf
ac_cv_func_setpgrp_void=yes \
./configure ${GENERAL_CONFIG_OPTIONS} ${CUSTOM_CONFIG_OPTIONS}

echo "Make........."
make
mkdir -p ${TARGET_DIR}
mkdir -p ${STAGING_DIR}
make install && echo "========== installation finish ==========" || echo "========== ERROR ==========="
