#/bin/bash
set -e 
. ./common_config.sh
URL="http://ufpr.dl.sourceforge.net/sourceforge/expat/"
FILE="expat-2.0.1.tar.gz"
DIR="expat-2.0.1"
  
GENERAL_CONFIG_OPTIONS="--host=arm-linux\
            --target=arm-linux\
            --prefix=${STAGING_DIR}/\
"

CUSTOM_CONFIG_OPTIONS="\
		--sysconfdir=${STAGING_DIR}/etc \
		--enable-shared \
"

${DOWNLOAD_CMD} ${URL}${FILE} 
echo "Uncompress..."
tar zxf ${FILE}

echo "Change dir..."
cd ${DIR}

echo "PATCH"
patch -p1 < ../patch/expat_libdir-la.patch

echo "Configure...."
#rm -rf config.cache && libtoolize --copy --force && autoreconf
./configure ${GENERAL_CONFIG_OPTIONS} ${CUSTOM_CONFIG_OPTIONS}

echo "Make........."
make
mkdir -p ${TARGET_DIR}/lib
mkdir -p  ${STAGING_DIR}
make install && echo "========== installation finish ==========" || echo "========== ERROR ==========="
cp -dpf ${STAGING_DIR}/lib/libexpat.so* ${TARGET_DIR}/lib/
arm-linux-strip ${TARGET_DIR}/lib/libexpat.so.1.5.2 
