#/bin/bash

set -e
. ./common_config.sh 
	
URL="http://ufpr.dl.sourceforge.net/sourceforge/mjson/"
VERSION="0.9"
PACKAGE="mjson"

SRC_FILE="${PACKAGE}-${VERSION}.tar.bz2"
SRC_DIR="${PACKAGE}-${VERSION}"

DEPS=""

CFLAGS="-I${DIGI_DIR}/include -I${STAGING_DIR}/include -fsigned-char " 
LDFLAGS="-L${DIGI_DIR}/lib -L${STAGING_DIR}/lib -fsigned-char"
PKG_CONFIG_PATH="${STAGING_DIR}/lib/pkgconfig"


${DOWNLOAD_CMD} ${URL}${SRC_FILE}
echo "Uncompress..."
mkdir -p ${SRC_DIR}
cd ${SRC_DIR}
tar jxf ../${SRC_FILE}

echo "PATCH"
patch -p1 < ../patch/mjson_makefile-n-optimizations.patch

echo "Make........."
make || exit $?
install -d ${TARGET_DIR}
install -d ${STAGING_DIR}
make  DESTDIR=${STAGING_DIR}  install
echo "========== installation finish ==========" 

mkdir -p ${TARGET_DIR}/sbin
cp -dpf ${STAGING_DIR}/lib/libmjson.so ${TARGET_DIR}/lib/
arm-linux-strip ${TARGET_DIR}/lib/libmjson.so
