#/bin/bash

set -e

. ./common_config.sh 

URL="ftp://ftp.csx.cam.ac.uk/pub/software/programming/pcre/"
VERSION="7.8"
PACKAGE="pcre"


SRC_FILE="${PACKAGE}-${VERSION}.tar.gz"
SRC_DIR="${PACKAGE}-${VERSION}"

DEPS=""


CFLAGS="-I${DIGI_DIR}/include -I${STAGING_DIR}/include "
LDFLAGS="-L${DIGI_DIR}/lib -L${STAGING_DIR}/lib "
PKG_CONFIG_PATH="${STAGING_DIR}/lib/pkgconfig"


GENERAL_CONFIG_OPTIONS="--host=arm-linux\
            --target=arm-linux\
            --prefix=/\
"

CUSTOM_CONFIG_OPTIONS="\
  --disable-ebcdic        \
  --disable-pcregrep-libz \
  --disable-pcregrep-libbz2 \
  --disable-pcretest-libreadline \
  --disable-rebuild-chartables \
"

# CHECK DEP!
for dep in ${DEPS}
do
  if [ ! -f ${dep} ]; then
    echo "Please build first ${dep}"
    exit
  fi
done

${DOWNLOAD_CMD} ${URL}${SRC_FILE}
echo "Uncompress..."
tar zxf ${SRC_FILE}

echo "Change dir..."
cd ${SRC_DIR}

echo "PATCH"
#patch -p1 < ../patch/avahi_chroot_wocap.patch

echo "Configure...."
 PKG_CONFIG_PATH="${PKG_CONFIG_PATH}" LDFLAGS="${LDFLAGS}" CFLAGS="${CFLAGS}"\
 ./configure ${GENERAL_CONFIG_OPTIONS} ${CUSTOM_CONFIG_OPTIONS} 

echo "Make........."
make 
TARGET_DIR=${TARGET_DIR}
install -d ${TARGET_DIR}
install -d ${STAGING_DIR}
make  DESTDIR=${STAGING_DIR}  install 

#mkdir -p  ${TARGET_DIR}
cp -af ${STAGING_DIR}/lib/libpcre.so.* ${TARGET_DIR}/lib/
arm-linux-strip ${TARGET_DIR}/lib/libpcre*
echo "========== installation finish ==========" 
