#/bin/bash
set -e
. ./common_config.sh
URL="http://xmlsoft.org/sources/"
FILE="libxml2-sources-2.6.32.tar.gz"
DIR="libxml2-2.6.32"
  
GENERAL_CONFIG_OPTIONS="--host=arm-linux --target=arm-linux --prefix=${STAGING_DIR}/ --includedir=${STAGING_DIR}/include --datarootdir=${STAGING_DIR}/share"

CUSTOM_CONFIG_OPTIONS=" --without-python \
             --without-plugins \
             --without-iconv \
             --without-catalog \
             --without-debug \
             --without-docbook \
             --without-fexceptions \
             --without-ftp \
             --without-history \
             --without-iconv \
             --without-iso8859x \
             --without-mem-debug  \
             --without-python \
             --without-readline \
             --without-regexps \
             --without-run-debug \
             --with-sax1 \
             --without-modules \
             --with-output \
             --with-minimum \
             --with-xpath  \
             --with-xinclude \
             --with-html \
             --with-writer \
             --with-reader \
             --without-http \
             --with-tree  \
             --with-xptr \
             --with-schemas  \
             --enable-shared \
             --enable-static \
             --with-gnu-ld \
             --with-pic \
             --without-zlib \
             "

echo "Download....."
${DOWNLOAD_CMD} ${URL}${FILE}

echo "Uncompress..."
tar zxf ${FILE}

echo "Change dir..."
cd ${DIR}

echo "Configure...."
 ./configure ${GENERAL_CONFIG_OPTIONS} ${CUSTOM_CONFIG_OPTIONS}

echo "Make........."
make


echo "Install......"
[ -e ${STAGING_DIR} ]  || install -d ${STAGING_DIR}
make install && echo "========== installation finish ==========" || echo "========== ERROR ==========="
install -m0755 -d ${TARGET_DIR}/lib
cp -a ${STAGING_DIR}/lib/libxml2.so*  ${TARGET_DIR}/lib/
arm-linux-strip --strip-unneeded ${TARGET_DIR}/lib/libxml2.so.* 
cd ..
