/*
 *  include/configs/digi_common_post.h
 *
 *  Copyright (C) 2006 by Digi International Inc.
 *  All rights reserved.
 *
 *  This program is free software; you can redistribute it and/or modify it
 *  under the terms of the GNU General Public License version2  as published by
 *  the Free Software Foundation.
*/
/*
 *  !Revision:   $Revision: 1.4 $:
 *  !Author:     Markus Pietrek
 *  !Descr:      Defines all definitions that are common to all DIGI platforms
 *               and needs to be processed after <platform.h>
*/

#ifndef __DIGI_COMMON_POST_H
#define __DIGI_COMMON_POST_H

/* for creating the output file and default value of uimg */
#ifndef CONFIG_UBOOT_IMAGE_NAME
# define CONFIG_UBOOT_IMAGE_NAME "u-boot-"CONFIG_MODULE_NAME".bin"
#endif

#ifndef CONFIG_LINUX_IMAGE_NAME
# define CONFIG_LINUX_IMAGE_NAME	"uImage-"CONFIG_MODULE_NAME
#endif

#ifndef CONFIG_IMAGE_JFFS2_BASENAME
# define CONFIG_IMAGE_JFFS2_BASENAME	NULL    /* autogenerated */
#endif

/* ********** stack sizes ********** */
#ifdef CONFIG_USE_IRQ
# define CONFIG_STACKSIZE_IRQ	(4*1024)	/* IRQ stack */
# define CONFIG_STACKSIZE_FIQ	(4*1024)	/* FIQ stack */
#endif

#endif  /* __DIGI_COMMON_POST_H */
